



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>使用Spring Cloud搭建服务注册中心</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">使用Spring Cloud搭建服务注册中心</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-18 09:49:01 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<p>我们在之前的博客中已经介绍过阿里的分布式服务框架dubbo【<a href="http://blog.csdn.net/u012702547/article/details/77569325" rel="external nofollow noreferrer">Linux上安装Zookeeper以及一些注意事项</a>】【<a href="http://blog.csdn.net/u012702547/article/details/77601538" rel="external nofollow noreferrer">一个简单的案例带你入门Dubbo分布式框架</a>】，但是小伙伴们应该也看到了，阿里的dubbo无法单独完成工作，我们还要借助于Apache上的开源框架zookeeper（不是必须，但是最佳实践莫过于zookeeper），使用zookeeper作为服务注册中心，才能实现一个较好的分布式应用。与dubbo不同的是，Spring Cloud是一个一站式分布式框架，Spring Cloud为开发人员提供了快速构建分布式系统中一些常见模式的工具（例如配置管理，服务发现，断路器，智能路由，微代理，控制总线）。分布式系统的协调导致了样板模式, 使用Spring Cloud开发人员可以快速地支持实现这些模式的服务和应用程序。他们将在任何分布式环境中运行良好，包括开发人员自己的笔记本电脑，裸机数据中心，以及Cloud Foundry等托管平台。那么今天我希望通过一个简单的案例带小伙伴们来了解下Spring Cloud。</p>
<hr />
<p>OK,那么本文我主要想介绍下在Spring Cloud中使用Eureka搭建一个服务注册中心，然后再向其中注册服务。由于Spring Cloud是在Spring Boot的基础上构建分布式服务的，所以阅读本文需要有一点Spring Boot的知识储备，如果小伙伴们对Spring Boot尚不太熟悉的话，可以先参考下【<a href="http://blog.csdn.net/column/details/13987.html" rel="external nofollow noreferrer">关于Spring Boot</a>】【<a href="https://github.com/lenve/JavaEETest" rel="external nofollow noreferrer">GitHub上的Spring案例</a>】。 <br />
OK，那么上面所提到的是阅读本文所需要具备的基础知识，在此基础之上我们来看看怎么样利用Spring Cloud中的Eureka来搭建服务注册中心。</p>
<p>首先我要说的是Spring Cloud并不是一个东西，和Hadoop类似，Spring Cloud也包含了许多个子项目，我们今天要看的Eureka只是其中的一个子项目，Eureka的功能有点类似于我们之前写过的zookeeper，它是一个服务治理组件，包含了服务注册中心、服务注册与发现机制。其他的组件我们这里先不做介绍，后面的系列文章都会一一提及到。</p>
<p>OK，废话说了一箩筐，上代码吧。</p>
<p><img referrerpolicy="no-referrer"src="http://img.bbs.csdn.net/upload/201609/08/1473308168_167070.png" /></p>
<h1>创建服务注册中心</h1>
<h2>创建一个普通的Spring Boot工程</h2>
<p>首先我们需要创建一个普通的Spring Boot工程，命名为eureka-server，普通到什么程度呢?就是一个starter都不需要添加，创建成功之后就只引用了一个父starter。</p>
<h2>添加Eureka依赖</h2>
<p>工程创建成功之后，向pom.xml文件中添加eureka-server的依赖，目前eureka的稳定版本是<code>Dalston.SR3</code>,添加完依赖之后，pom.xml文件如下所示：</p>
<pre class="prettyprint linenums"><code>&lt;?xml version="1.0" encoding="UTF-8"?&gt;<br />
&lt;project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"<br />
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"&gt;<br />
    &lt;modelVersion&gt;4.0.0&lt;/modelVersion&gt;

    &lt;groupId&gt;org.sang&lt;/groupId&gt;<br />
    &lt;artifactId&gt;eureka-server&lt;/artifactId&gt;<br />
    &lt;version&gt;0.0.1-SNAPSHOT&lt;/version&gt;<br />
    &lt;packaging&gt;jar&lt;/packaging&gt;

    &lt;name&gt;eureka-server&lt;/name&gt;<br />
    &lt;description&gt;Demo project for Spring Boot&lt;/description&gt;

    &lt;parent&gt;<br />
        &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
        &lt;artifactId&gt;spring-boot-starter-parent&lt;/artifactId&gt;<br />
        &lt;version&gt;1.5.6.RELEASE&lt;/version&gt;<br />
        &lt;relativePath/&gt; &lt;!-- lookup parent from repository --&gt;<br />
    &lt;/parent&gt;

    &lt;properties&gt;<br />
        &lt;project.build.sourceEncoding&gt;UTF-8&lt;/project.build.sourceEncoding&gt;<br />
        &lt;project.reporting.outputEncoding&gt;UTF-8&lt;/project.reporting.outputEncoding&gt;<br />
        &lt;java.version&gt;1.8&lt;/java.version&gt;<br />
    &lt;/properties&gt;

    &lt;dependencies&gt;<br />
        &lt;dependency&gt;<br />
            &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
            &lt;artifactId&gt;spring-boot-starter&lt;/artifactId&gt;<br />
        &lt;/dependency&gt;

        &lt;dependency&gt;<br />
            &lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />
            &lt;artifactId&gt;spring-cloud-starter-eureka-server&lt;/artifactId&gt;<br />
        &lt;/dependency&gt;

        &lt;dependency&gt;<br />
            &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
            &lt;artifactId&gt;spring-boot-starter-test&lt;/artifactId&gt;<br />
            &lt;scope&gt;test&lt;/scope&gt;<br />
        &lt;/dependency&gt;<br />
    &lt;/dependencies&gt;

    &lt;dependencyManagement&gt;<br />
        &lt;dependencies&gt;<br />
            &lt;dependency&gt;<br />
                &lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />
                &lt;artifactId&gt;spring-cloud-dependencies&lt;/artifactId&gt;<br />
                &lt;version&gt;Dalston.SR3&lt;/version&gt;<br />
                &lt;type&gt;pom&lt;/type&gt;<br />
                &lt;scope&gt;import&lt;/scope&gt;<br />
            &lt;/dependency&gt;<br />
        &lt;/dependencies&gt;<br />
    &lt;/dependencyManagement&gt;<br />
    &lt;build&gt;<br />
        &lt;plugins&gt;<br />
            &lt;plugin&gt;<br />
                &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
                &lt;artifactId&gt;spring-boot-maven-plugin&lt;/artifactId&gt;<br />
            &lt;/plugin&gt;<br />
        &lt;/plugins&gt;<br />
    &lt;/build&gt;<br />
&lt;/project&gt;</code></pre>
<p>那么这里依赖的添加我主要参考了Eureka官网的<a href="http://projects.spring.io/spring-cloud/" rel="external nofollow noreferrer">这里</a>。</p>
<h2>启动一个服务注册中心</h2>
<p>启动一个服务注册中心的方式很简单，就是在Spring Boot的入口类上添加一个<code>@EnableEurekaServer</code>注解，如下：</p>
<pre class="prettyprint linenums"><code>@EnableEurekaServer<br />
@SpringBootApplication<br />
public class EurekaServerApplication {<br />
    public static void main(String[] args) {<br />
        SpringApplication.run(EurekaServerApplication.class, args);<br />
    }<br />
}</code></pre>
<h2>配置服务注册中心</h2>
<p>最后我们再做一点简单的配置就可以了，配置就写在Spring Boot的配置文件application.properties中，写法如下：</p>
<pre class="prettyprint linenums"><code>server.port=1111<br />
eureka.instance.hostname=localhost<br />
eureka.client.register-with-eureka=false<br />
eureka.client.fetch-registry=false<br />
eureka.client.service-url.defaultZone=http://${eureka.instance.hostname}:${server.port}/eureka/</code></pre>
<p>OK,那么关于这几行注释，我说如下几点：</p>
<blockquote><p>1.server.port=1111表示设置该服务注册中心的端口号 <br />
  2.eureka.instance.hostname=localhost表示设置该服务注册中心的hostname <br />
  3.eureka.client.register-with-eureka=false,由于我们目前创建的应用是一个服务注册中心，而不是普通的应用，默认情况下，这个应用会向注册中心（也是它自己）注册它自己，设置为false表示禁止这种默认行为 <br />
  4.eureka.client.fetch-registry=false,表示不去检索其他的服务，因为服务注册中心本身的职责就是维护服务实例，它也不需要去检索其他服务</p></blockquote>
<h2>测试</h2>
<p>OK，做完这一切之后，我们就可以启动这一个Spring Boot 服务，服务启动成功之后，在浏览器中输入:<a href="http://localhost:1111" rel="external nofollow noreferrer">http://localhost:1111</a>就能够看到如下页面:</p>
<p><img referrerpolicy="no-referrer"src="http://img.blog.csdn.net/20170902191854092?watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvdTAxMjcwMjU0Nw==/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/SouthEast" /></p>
<p>OK,看到上面这个页面之后，表示你的服务注册中心已经搭建好了。</p>
<h2>小结</h2>
<p>我们之前专门有一篇博客介绍如何在Linux上安装zookeeper【<a href="http://blog.csdn.net/u012702547/article/details/77569325" rel="external nofollow noreferrer">Linux上安装Zookeeper以及一些注意事项</a>】,但是对于Eureka却不存在这样的问题，因为Eureka中的服务注册中心实际上是一个Spring Boot工程，而Spring Boot工程我们知道可以直接打成一个jar包，然后java -jar命令就可以运行，不管Windows还是Linux上，运行方式都是一致的。</p>
<h1>注册服务提供者</h1>
<p>OK，那么现在服务注册中心有了之后，我们可以考虑向这个服务注册中心注册一个服务提供者了。</p>
<h2>创建一个新的Spring Boot工程</h2>
<p>还是创建一个Spring Boot工程，这次创建比之前创建多一个步骤，在创建的时候选中web的starter，我们来创建一个web工程，在IntelliJ IDEA中创建的时候选中web，如下：</p>
<p><img referrerpolicy="no-referrer"src="http://img.blog.csdn.net/20170902193344741?watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvdTAxMjcwMjU0Nw==/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/SouthEast" /></p>
<h2>添加Eureka依赖</h2>
<p>在创建好的工程中，我们需要添加Eureka依赖，添加方式如下：</p>
<pre class="prettyprint linenums"><code>&lt;?xml version="1.0" encoding="UTF-8"?&gt;<br />
&lt;project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"<br />
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"&gt;<br />
    &lt;modelVersion&gt;4.0.0&lt;/modelVersion&gt;<br />
    &lt;groupId&gt;org.sang&lt;/groupId&gt;<br />
    &lt;artifactId&gt;provider&lt;/artifactId&gt;<br />
    &lt;version&gt;0.0.1-SNAPSHOT&lt;/version&gt;<br />
    &lt;packaging&gt;jar&lt;/packaging&gt;<br />
    &lt;name&gt;provider&lt;/name&gt;<br />
    &lt;description&gt;Demo project for Spring Boot&lt;/description&gt;<br />
    &lt;parent&gt;<br />
        &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
        &lt;artifactId&gt;spring-boot-starter-parent&lt;/artifactId&gt;<br />
        &lt;version&gt;1.5.6.RELEASE&lt;/version&gt;<br />
        &lt;relativePath/&gt; &lt;!-- lookup parent from repository --&gt;<br />
    &lt;/parent&gt;<br />
    &lt;properties&gt;<br />
        &lt;project.build.sourceEncoding&gt;UTF-8&lt;/project.build.sourceEncoding&gt;<br />
        &lt;project.reporting.outputEncoding&gt;UTF-8&lt;/project.reporting.outputEncoding&gt;<br />
        &lt;java.version&gt;1.8&lt;/java.version&gt;<br />
    &lt;/properties&gt;<br />
    &lt;dependencies&gt;<br />
        &lt;dependency&gt;<br />
            &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
            &lt;artifactId&gt;spring-boot-starter-web&lt;/artifactId&gt;<br />
        &lt;/dependency&gt;<br />
        &lt;dependency&gt;<br />
            &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
            &lt;artifactId&gt;spring-boot-starter-test&lt;/artifactId&gt;<br />
            &lt;scope&gt;test&lt;/scope&gt;<br />
        &lt;/dependency&gt;<br />
        &lt;dependency&gt;<br />
            &lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />
            &lt;artifactId&gt;spring-cloud-starter-eureka&lt;/artifactId&gt;<br />
        &lt;/dependency&gt;<br />
    &lt;/dependencies&gt;<br />
    &lt;dependencyManagement&gt;<br />
        &lt;dependencies&gt;<br />
            &lt;dependency&gt;<br />
                &lt;groupId&gt;org.springframework.cloud&lt;/groupId&gt;<br />
                &lt;artifactId&gt;spring-cloud-dependencies&lt;/artifactId&gt;<br />
                &lt;version&gt;Dalston.SR3&lt;/version&gt;<br />
                &lt;type&gt;pom&lt;/type&gt;<br />
                &lt;scope&gt;import&lt;/scope&gt;<br />
            &lt;/dependency&gt;<br />
        &lt;/dependencies&gt;<br />
    &lt;/dependencyManagement&gt;<br />
    &lt;build&gt;<br />
        &lt;plugins&gt;<br />
            &lt;plugin&gt;<br />
                &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
                &lt;artifactId&gt;spring-boot-maven-plugin&lt;/artifactId&gt;<br />
            &lt;/plugin&gt;<br />
        &lt;/plugins&gt;<br />
    &lt;/build&gt;<br />
&lt;/project&gt;</code></pre>
<h2>创建应用的入口</h2>
<p>这是一个web工程，所以我们添加一个Controller，在该Controller中提供一个访问入口，如下：</p>
<pre class="prettyprint linenums"><code>@RestController<br />
public class HelloController {<br />
    private final Logger logger = Logger.getLogger(getClass());<br />
    @Autowired<br />
    private DiscoveryClient client;

    @RequestMapping(value = "/hello", method = RequestMethod.GET)<br />
    public String index() {<br />
        List&lt;ServiceInstance&gt; instances = client.getInstances("hello-service");<br />
        for (int i = 0; i &lt; instances.size(); i++) {<br />
            logger.info("/hello,host:" + instances.get(i).getHost() + ",service_id:" + instances.get(i).getServiceId());<br />
        }<br />
        return "Hello World";<br />
    }<br />
}</code></pre>
<p>这里创建服务之后，在日志中将服务相关的信息打印出来。</p>
<h2>激活Eureka中的DiscoveryClient</h2>
<p>在Spring Boot的入口函数处，通过添加@EnableDiscoveryClient注解来激活Eureka中的DiscoveryClient实现（因为我们在HelloController中注入了DiscoveryClient）。</p>
<pre class="prettyprint linenums"><code>@EnableDiscoveryClient<br />
@SpringBootApplication<br />
public class ProviderApplication {

    public static void main(String[] args) {<br />
        SpringApplication.run(ProviderApplication.class, args);<br />
    }<br />
}</code></pre>
<h2>配置服务名称和注册中心地址</h2>
<p>最后的最后，我们在application.properties文件中配置一下服务名和注册中心地址即可，如下：</p>
<pre class="prettyprint linenums"><code>spring.application.name=hello-service<br />
eureka.client.service-url.defaultZone=http://localhost:1111/eureka</code></pre>
<p>这两行代码的含义很简单，我就不多说了。</p>
<h2>测试</h2>
<p>做完这一切之后，我们就可以来测试了，直接运行这个Spring Boot工程，运行成功之后，我们刷新刚才的<a href="http://localhost:1111" rel="external nofollow noreferrer">http://localhost:1111</a>,就可以看到有一个服务已经注册成功了。如下： <br />
<img referrerpolicy="no-referrer"src="http://img.blog.csdn.net/20170902202145167?watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvdTAxMjcwMjU0Nw==/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/SouthEast" /></p>
<p>同时，我们查看这个服务提供者运行日志，也可以看到服务的信息，如下：</p>
<p><img referrerpolicy="no-referrer"src="http://img.blog.csdn.net/20170902202458547?watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvdTAxMjcwMjU0Nw==/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/SouthEast" /></p>
<h2>小结</h2>
<p>OK，如此之后，我们一个服务注册中心就搭建成功了，同时也有一个服务提供者成功的注册了。但是这样还有一个小问题，那就是我们这里是一个单节点的服务注册中心，一旦发生了故障整个服务就瘫痪了，所以在实际应用中，我们需要搭建高可用注册中心，那么关于高可用注册中心如何搭建的问题，我们将在下篇文章中来介绍。</p>
<p>本文案例地址：<a href="https://github.com/lenve/SimpleSpringCloud" rel="external nofollow noreferrer">https://github.com/lenve/SimpleSpringCloud</a></p>
<p>关注公众号【江南一点雨】，专注于 Spring Boot+微服务以及前后端分离等全栈技术，定期视频教程分享，关注后回复 Java ，领取松哥为你精心准备的 Java 干货！</p>
<p><img referrerpolicy="no-referrer"src="http://www.javaboy.org/images/sb/javaboy.jpg" /></p>
<p><img referrerpolicy="no-referrer"src="http://img.blog.csdn.net/20170830152727931?watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvdTAxMjcwMjU0Nw==/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/SouthEast" /></p>
<p>以上。。</p>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/5qydkm2q.html">高性能异步图片加载器的JS库：lazysizes</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq12nj09.html">PHPstorm激活</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jr2kwq.html">C&num;GDI&plus;编程基础（一：Graphics画布类）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxn1gkv8.html">【玩转Ubuntu】01&period; Ubuntu上配置JDK</a>
		</li>
						<li><a href="https://www.batexi.com/a/950jp6z8.html">Tinywebserver&colon;一个简易的web服务器</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kyvr09.html">ASP&period;NET MVC5&plus;EF6&plus;EasyUI 后台管理系统（86）-日程管理-fullcalendar插件用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdvoj79.html">JQ 为未来元素添加事件处理器&mdash;事件委托</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkr3j08.html">Django的models实现分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkpeoe8.html">centos中安装虚拟机</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jre0v8.html">nnet3配置中的&OpenCurlyDoubleQuote;编译&rdquo;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7z4ywx9.html">有了GPRS为什么还要LoRa和NB-IoT？【转】</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllmzk1q.html">Unity Post-Processing的一些分享</a>
		</li>
						<li><a href="https://www.batexi.com/a/960777n9.html">okhttp添加自定义cookie</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1ryy568.html">the principle of redbalck tree</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7owwdj8.html">ubuntu16&period;04安装opencv2&period;4&period;13</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kj3d279.html">【ibatis】IBatis的SQL批量操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/8konjjjq.html">selenium webdriver模拟鼠标键盘操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/8em71xj9.html">（转）Unity3D新手引导开发手记</a>
		</li>
						<li><a href="https://www.batexi.com/a/8km0xjj9.html">centos7 卸载安装失败的mysql7</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxl2lkzq.html">【题解】洛谷P1032 &lbrack;NOIP2002TG&rsqb;字串变换（BFS&plus;字符串）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8zo0lx1q.html">Bicoloring 二分图&plus;染色</a>
			</li>
						<li><a href="https://www.batexi.com/a/9geok0l8.html">ISP PIPLINE &lpar;十&rpar; HDR</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zkwzj9.html">【2019雅礼集训】【CF 960G】【第一类斯特林数】【NTT&amp;amp&semi;多项式】permutation</a>
			</li>
						<li><a href="https://www.batexi.com/a/8me164rq.html">左倾堆C&plus;&plus;实现</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zk1mg9.html">解决Idea无法提示代码、不检查语法的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rgvlx78.html">开发中少不了的Fun -- 获取地址栏URL参数</a>
			</li>
						<li><a href="https://www.batexi.com/a/90m6xlo8.html">SpringBoot报错：Invalid bound statement &lpar;not found&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/93ym25w8.html">《SpringMVC从入门到放肆》十三、SpringMVC数据校验</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jz5ove8.html">vue常用属性</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4zl0059.html">hive-issue-inserting-records-to-partitioned-table</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
